<script>
	$( document ).ready(function() {
	    $("#saveBtn").show();
	});
	const { Kanban, Toolbar, defaultEditorShape } = kanban;
			const { users, cardShape, editorShape } =
				getData();
			
			
/*-------------------------------------ROWS--------------------------------------------------------------  */			
			<%LinkedHashSet<String> UniqueTypes = new LinkedHashSet<String>();%>
			<%LinkedHashSet<String> UniqueStates = new LinkedHashSet<String>();%>
			<%for(int i=0;i<qresult.size();i++)
			{
			Qresult qr =(Qresult)qresult.get(i);
			  UniqueTypes.add(qr.getType());
			  UniqueStates.add(qr.getState());
			}
			%>
			rows =[
				
				 <%
				 List<String> ls
		            = new ArrayList<String>(UniqueTypes);
				 for(int i=0;i<ls.size();i++)
				 {
					
				 %>
				 {
						label:  "<%= ls.get(i)%>",
						id: "<%= ls.get(i)%>",
					},
				
				 <%}%>
			];
			
/* -------------------------------END OF ROW------------------------------------------------------------ */
 
 /* -------------------------------Start OF Colomn------------------------------------------------------------ */
columns = [
	 <%
	 List<String> State = new ArrayList<String>(UniqueStates);
	 for(int i=0;i<State.size();i++)
	 {
	 %>
		{
			label:  '<%= State.get(i) %>',
			id: '<%= State.get(i) %>',
		},
		<%}%>
	];
/* -------------------------------END OF Colomn------------------------------------------------------------ */
/* -------------------------------Start OF CARDS------------------------------------------------------------ */
			
			 cards = [ // data for cards
			    <%for(int i=0;i<qresult.size();i++)
{
Qresult qr =(Qresult)qresult.get(i);
int priorityvalue=0;
if(qr.getPriority().equals("low"))
	priorityvalue=3;
if(qr.getPriority().equals("medium"))
	priorityvalue=2;
if(qr.getPriority().equals("high"))
	priorityvalue=1;

%>
			 {
			      id:<%=qr.getID() %>,
			      column: '<%= qr.getState() %>',
			     label: '<%=qr.getID() %>',
			     description:'<%= qr.getSummary().replace("'", "") %>',
			      type: '<%= qr.getType()%>',
			      priority:<%= priorityvalue %>,
			    },
			    <%}%>//forloop end
			];

/*-----------------------------------END OF CARDS---------------------------------------------------------------- */

/*-----------------------------------START OF BOARD---------------------------------------------------------------- */
			const board = new Kanban("#root", {
				columns,
				cards,
				rows,
				rowKey: "type",
				cardShape,
				/* readonly: {
			        edit: false, // disable editing
			        add: false, // enable adding
			        select: false, // disable selecting
			        dnd: false // enable dragging
			    }, */
			    //editorAutoSave: false,
				editorShape: [...defaultEditorShape, ...editorShape],
			});

			/*-----------------------------------END OF BOARD---------------------------------------------------------------- */
			
			new Toolbar("#toolbar", { api: board.api,
				items: [
			        "search", // search bar
			        //"controls", // controls for adding new columns and rows
			        // custom elements
			        `<div style="margin-left: auto; padding-left: 10px;"><button id="saveBtn" class="g-btn g-btn--sm">Save</button></div>`,
			    ]		
			});
		
			
			
			document.querySelector("#saveBtn").addEventListener("click", () => {
				if(board.getSelection() != null )
					{
					
					var boardid = board.getSelection();
					var desc= board.getCard(boardid).description;
					var item= board.getCard(boardid).label;
					//window.alert(id);
					    $.ajax({
					        type: "POST",
					        url: "/KanBan/updateS",
					        data: {"id": item,"Summary": desc,},
					       /*  success: function (data) {
					            if (data == "0") {
					                $("#msg").html("");
					            } else {
					                $("#msg").html("The account does not exist, please re-enter!")
					            }
					        } */
					        success: function (data) {
					           
					        	alert(data);
					        	 location.reload();
					            }
					        
					    });
					}
				else{window.alert("Please Select an item to update");}
			
			
				//board.deleteCard({ id: id });
				//board.addCard({ columnId: "backlog" });
				
			});
	</script>